<?php // $Id: app_globals.php,v 1.75 2005/12/11 08:49:35 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) by Mario Gleirscher                         *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

require_once( './act_lib.php' );

// @SECURITY
apxGuard( 'apx_root_path' );

// E_STRICT Konstante auch fuer PHP < 5 gueltig machen
if( substr( phpversion(), 0, 1 ) < 5 )
    define( "E_STRICT", "0" );

// applanix Debugging-Modi ein-/ausschalten
$apx_error_reporting     = 1 | ( E_ALL ^ E_NOTICE ^ E_STRICT );
$apx_debug               = false;
$apx_db_debug            = false;
$apx_debug_config        = false;
$apx_debug_before_header = false;

// Fehlerbehandlung
error_reporting( $apx_error_reporting );
set_error_handler( 'apxMsg' );



// Damit die Konfigurationsdatei gefunden wird
if( !isset( $apx_root_path ) ) {
    $apx_root_path = str_replace( '\\', '/', dirname( __FILE__ ).'/' ); // './../';
}

// Standarddaten holen
require_once( './db/data.php' );
require_once( './act_structs.php' );

// applanix version und Kontakte
$apx_versioninfo    = 'v1.4f';
$apx_pagetitle      = "mg.applanix ".$apx_versioninfo;
$apx_supportmail    = "[sw]at[gleirscher]dot[de]";
$apx_supportlink    = "http://gleirscher.de/";
$apx_copyright_date = "2001-2016";
$apx_copyright      = "<span class=\"mgtxtsmall\">&copy; $apx_copyright_date
                       <a class=\"mgtxtsmall\"
                       href=\"$apx_supportlink\">
                       mg</a></span>";
$apx_copyright_raw  = "(C) $apx_copyright_date mg";
$apx_lc_domain      = 'messages';
$apx_configfile     = 'apx_config.php';
$apx_stylesheet		= 'apx.css'; // styles.css
$apx_linesep        = strstr( PHP_OS, 'WIN' ) ? "\r\n" : "\n";
define( APX_CFGEXISTS, '1' );

// PHP-Version ermitteln, mind. Version 4.x.x
$apx_php_mver   = substr( phpversion(), 0, 1 );
$apx_php_sver   = substr( phpversion(), 2, 1 );
$apx_php_ssver  = substr( phpversion(), 4 );

if( $apx_php_mver < 4 )
    if( $apx_php_sver < 3 )
        trigger_error( $apx_errors[ 16 ], E_USER_ERROR );

// Daten aus Konfigurationsdatei holen, fest gesetzte Konfig.datei
if( file_exists( $apx_configfile ) ) {
    require_once( "./act_proc_config.php" );
}
else {
    // Wenn Konfigurationsdatei noch nicht existiert, dann Annahme,
    // dass das applanix-System gerade installiert wird:

    trigger_error( $apx_messages[ 15 ]." <br />(<strong>"._( "File:" ).
                   " $apx_configfile</strong>)",
                   E_USER_WARNING );
    require( './dsp_form_config.php' );
    exit();
}


// Lokaleinstellungen fuer Datums- und Zeitangaben, etc.
$apx_timezone		= 'Europe/Vienna'; // "Europe/Berlin"
$apx_defcurrency	= '@euro'; // e.g. @euro, differs from $apx_curstring
$apx_defcharset     = strstr( PHP_OS, 'WIN' ) ? 'utf8' : "UTF-8";
// lin: 'utf8', 
// win: $apx_languages[ $apx_deflang ][ 2 ], 
// mac: "UTF-8"
$apx_locales		= strstr( PHP_OS, 'WIN' ) ?
                      $apx_languages[ $apx_deflang ][ 0 ] :
                      array( "$apx_deflang.$apx_defcharset".$apx_defcurrency, 
                      		 "$apx_deflang.$apx_defcharset" );

// for win: LC_TIME, maybe use LC_ALL
$bSetLocales = setlocale( LC_ALL, $apx_locales );
// mit locale auf der Konsole ueberprueft
// $bSetLocales = setlocale( LC_TIME, "de_AT.UTF-8@euro" );

// for lin:
$bSetLocales = setlocale( LC_MESSAGES, $apx_locales );
// for lin/win/mac:
$bSetLocales = setlocale( LC_NUMERIC, $apx_locales );
$bSetLocales = setlocale( LC_MONETARY, $apx_locales );

// for mac:
// setlocale( LC_TIME, "$apx_deflang.$apx_defcharset" );
date_default_timezone_set( $apx_timezone ); 


if( !$bSetLocales )
    trigger_error( $apx_errors[7], E_USER_WARNING );

// BEGIN: GNU GetText einrichten (does not work anymore in PHP 5.3!!!)
putenv( "LC_ALL=".$apx_deflang );	// required for win
putenv( "LC_MESSAGES=".$apx_deflang );  // required for lin
// putenv( "LANG=".$apx_deflang );
// IMPORTANT: Configure php.ini directive safe_mode_allowed_variables = PHP_,LC_
// putenv( "LANG=".$apx_deflang );
// Erst ab PHP 4.2.x
// bindtextdomain($apx_lc_domain, $apx_root_path.'locale/nocache2'); // clear cache during devel
bindtextdomain($apx_lc_domain, $apx_root_path."locale");
bind_textdomain_codeset( $apx_lc_domain, $apx_languages[ $apx_deflang ][ 2 ] );
textdomain( $apx_lc_domain );
// END: GNU GetText einrichten

// Praefix nur bei MySQL waehlbar, unter Access ODBC fest (apx_)
if( $apx_dbsys == 'odbc' )
    $apx_dbtableprefix = 'apx_';

//
// Feste Konfigurationen, Daten und Konstanten
//

// Name des Users, unter dessen Benutzerkonto der externe Mailer ausgefuehrt
// werden soll
$apx_windows_username = 'administrator';

// Name der Datenbankdatei (ueblicherweise fest!)
$apx_dbfilename     = 'applanix.mdb';
$apx_sqlscript      = 'applanix.sql';
$apx_countrydata    = 'countrydata.csv';
$apx_use_dbx        = false;

// Aktuelles Datum in diversen Formaten zur Verfuegung stellen
$apx_curdate_stamp          = time(); 
$apx_curdate_array          = getdate( $apx_curdate_stamp );
$apx_curdate_str            = strftime( "%Y, %m, %d", $apx_curdate_stamp );
$apx_dateformat             = "d. m. Y"; // oder lange Variante: "d. F Y";
$apx_deflang639             = substr( $apx_deflang, 0, 2 );
$apx_localeconv				= localeconv();
$apx_decimal_point			= $apx_localeconv['decimal_point'];
$apx_thousands_sep			= $apx_localeconv[ 'thousands_sep' ];

// Andere Daten
$apx_maxitems               = 50000; // std. max. Anzahl von DB-Eintraegen
$apx_persons_max            = 15;
$apx_children_max           = 10;
$apx_daystopay_max          = 40;
$apx_appsize_max            = 15;
$apx_objfloors_max          = 10;
$apx_floors_max             = 15;  // max. Anzahl von Stockwerken
$apx_selectadresscols       = 4;   // fuer die Auflistung der Namen bei Adressettiketten
$apx_NumOfNxtCust           = 20;
$apx_plan_dateframe_size    = 5;   // Groesse: Zusatz-Anzeigebereich im Plan
$apx_rowsperpage            = 20;  // Listeneintraege pro Seite
$apx_tax_vat                = 1.13;

// Fuseaction primaer setzen
apxIsCookie( 'apx_std_homepage', 'apx_std_homepage', 'logostart' );
apxIsGet( 'apx_a', 'apx_a', $apx_std_homepage );

// Fenstermasse fuer Kalender und Rechner
$iCalHeight                 = 296;
$iCalWidth                  = 187;
$iComHeight                 = 262;
$iComWidth                  = 164;


// fuer aeltere und neuere PHP-Versionen bzw.
// PHP-Apache-Modul und PHP-CGI-Version
// weitere Vars. fuer diesen Zweck:
// (PHP_SELF, REQUEST_URI, REDIRECT_URL),
// SCRIPT_NAME, PATH_INFO, (PATH_TRANSLATED)
// in $_SERVER[] und $_ENV[]
if( isset( $_SERVER[ 'SCRIPT_NAME' ] ) )
    $apx_script = $_SERVER[ 'SCRIPT_NAME' ];          // fuer PHP >= 4.1.x
elseif( isset( $HTTP_SERVER_VARS[ 'SCRIPT_NAME' ] ) )
    $apx_script = $HTTP_SERVER_VARS[ 'SCRIPT_NAME' ]; // fuer PHP < 4.1.x
elseif( isset( $_ENV[ 'SCRIPT_NAME' ] ) )
    $apx_script = $_ENV[ 'SCRIPT_NAME' ];             // CGI fuer PHP >= 4.1.x
elseif( isset( $HTTP_ENV_VARS[ 'SCRIPT_NAME' ] ) )
    $apx_script = $HTTP_ENV_VARS[ 'SCRIPT_NAME' ];    // CGI fuer PHP < 4.1.x
else
    $apx_script = '';


if( isset( $_SERVER[ 'QUERY_STRING' ] ) )
    $apx_query_string = $_SERVER[ 'QUERY_STRING' ];          // fuer PHP >= 4.1.x
elseif( isset( $HTTP_SERVER_VARS[ 'QUERY_STRING' ] ) )
    $apx_query_string = $HTTP_SERVER_VARS[ 'QUERY_STRING' ]; // fuer PHP < 4.1.x
elseif( isset( $_ENV[ 'QUERY_STRING' ] ) )
    $apx_query_string = $_ENV[ 'QUERY_STRING' ];             // CGI fuer PHP >= 4.1.x
elseif( isset( $HTTP_ENV_VARS[ 'QUERY_STRING' ] ) )
    $apx_query_string = $HTTP_ENV_VARS[ 'QUERY_STRING' ];    // CGI fuer PHP < 4.1.x
else
    $apx_query_string = '';

// Streckung des Planes entsprechend zur Bildschirmaufloesung
$apx_maxplanheight  = $apx_plan_maxheights[ $apx_planmonres ][ 1 ];

$apx_maxplanmonth   = 18;
$apx_activesessions = 0;

// Standard Mail Signatur Vorlage und Standard-Betreff
$apx_stdmailsig_template = sprintf(
        _( "Yours sincerely \n\n".
        "%1\$s %2\$s %3\$s \n\nPhone:\t%4\$s \nFax:\t%5\$s \nE-mail:\t%6\$s ".
        "\nWeb:\t%7\$s\n" ), $apx_user_title, $apx_user_firstname,
        $apx_user_lastname, $apx_user_phone, $apx_user_fax, $apx_user_email,
        $apx_user_url );


// DB-Verbindung aufbauen
$apx_dbc = new APXDBALayer( $apx_dbsys, $apx_dbserver, $apx_db, $apx_dbuser,
                            $apx_dbpw, $apx_dbtableprefix, $apx_dbbackuppath,
                            $apx_use_dbx );
if( !$apx_dbc->connect() && !isset( $apx_cfgactive ) )
   trigger_error( $apx_errors[ 17 ], E_USER_WARNING );


if( isset( $_POST[ 'apx_redirectiondata' ] ) )
    $apx_redirectiondata = $_POST[ 'apx_redirectiondata' ];
elseif( isset( $_GET[ 'apx_redirectiondata' ] ) )
    $apx_redirectiondata = $_GET[ 'apx_redirectiondata' ];
else
    $apx_redirectiondata = $apx_script;
    
    
// Standardzeitperiode berechnen (geht auch ohne, aber flexibler mit URL-Parametern bei fuseaction=plan )
$curdate    = getdate( time() );
$startdate  = mktime( 0, 0, 0, $curdate[ 'mon' ], $curdate[ 'mday' ] - $apx_stddos_b , $curdate[ 'year' ] );
$enddate    = mktime( 0, 0, 0, $curdate[ 'mon' ], $curdate[ 'mday' ] + $apx_stddos_e , $curdate[ 'year' ] );
$sStartDate = date( 'Y-m-d', $startdate );
$sEndDate   = date( 'Y-m-d', $enddate );

?>
